# osgUtil::CullVisitor::MatrixPlanesDrawables Struct Reference

List of all members.

## Public Member Functions

| MatrixPlanesDrawables (const osg::Matrix &matrix, const osg::Drawable *drawable, const osg::Polytope &frustum)
| MatrixPlanesDrawables (const MatrixPlanesDrawables &mpd)
MatrixPlanesDrawables & | operator= (const MatrixPlanesDrawables &mpd)

## Public Attributes

osg::Matrix | _matrix
const osg::Drawable * | _drawable
osg::Polytope::PlaneList | _planes

## Constructor & Destructor Documentation

osgUtil::CullVisitor::MatrixPlanesDrawables::MatrixPlanesDrawables | ( | const osg::Matrix & | matrix,
|  | const osg::Drawable * | drawable,
|  | const osg::Polytope & | frustum
| ) | `[inline]`

osgUtil::CullVisitor::MatrixPlanesDrawables::MatrixPlanesDrawables | ( | const MatrixPlanesDrawables & | mpd | ) | `[inline]`

## Member Function Documentation

MatrixPlanesDrawables& osgUtil::CullVisitor::MatrixPlanesDrawables::operator= | ( | const MatrixPlanesDrawables & | mpd | ) | `[inline]`

## Member Data Documentation

const osg::Drawable* osgUtil::CullVisitor::MatrixPlanesDrawables::_drawable

osg::Matrix osgUtil::CullVisitor::MatrixPlanesDrawables::_matrix

osg::Polytope::PlaneList osgUtil::CullVisitor::MatrixPlanesDrawables::_planes

The documentation for this struct was generated from the following file:

- CullVisitor